# spacectl fish shell completion

function __fish_spacectl_no_subcommand --description 'Test if there has been any subcommand yet'
    for i in (commandline -opc)
        if contains -- $i module create-version local-preview profile current export-token usage-csv list login logout select provider add-gpg-key list-gpg-keys revoke-gpg-key create-version delete-version list-versions publish-version revoke-version run-external-dependency mark-completed stack confirm discard cancel approve reject deploy retry replan changes list local-preview logs preview run list set-current-commit environment setvar list mount delete outputs show open task lock unlock enable disable resources list dependencies on off whoami version workerpool list watch worker list drain undrain completion bash zsh fish help h help h help h
            return 1
        end
    end
    return 0
end

complete -c spacectl -n '__fish_spacectl_no_subcommand' -f -l help -s h -d 'show help'
complete -c spacectl -n '__fish_spacectl_no_subcommand' -f -l version -s v -d 'print the version'
complete -c spacectl -n '__fish_spacectl_no_subcommand' -f -l help -s h -d 'show help'
complete -c spacectl -n '__fish_spacectl_no_subcommand' -f -l version -s v -d 'print the version'
complete -c spacectl -n '__fish_seen_subcommand_from module' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_spacectl_no_subcommand' -a 'module' -d 'Manage a Spacelift module'
complete -c spacectl -n '__fish_seen_subcommand_from create-version' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from module' -a 'create-version' -d 'Create a new version of a module'
complete -c spacectl -n '__fish_seen_subcommand_from create-version' -f -l id -r -d '[Required] User-facing `ID` (slug) of the module'
complete -c spacectl -n '__fish_seen_subcommand_from create-version' -f -l sha -r -d 'Commit `SHA` to use for the module version'
complete -c spacectl -n '__fish_seen_subcommand_from create-version' -f -l version -r -d 'Semver `version` for the module version. If not provided, the version from the configuration file will be used'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from module' -a 'local-preview' -d 'Start a preview (proposed version) based on the current project. Respects .gitignore and .terraformignore.'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l id -r -d '[Required] User-facing `ID` (slug) of the module'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l no-find-repository-root -d 'Indicate whether spacectl should avoid finding the repository root (containing a .git directory) before packaging it.'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l no-upload -d 'Indicate whether Spacectl should prepare the workspace archive, but skip uploading it. Useful for debugging ignorefiles.'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l run-metadata -r -d 'Additional opaque metadata you will be able to access from policies handling this Run.'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l disregard-gitignore -d '[Optional] Disregard the .gitignore file when reading files in a directory'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l tests -r -d '[Optional] A list of test IDs to run'
complete -c spacectl -n '__fish_seen_subcommand_from profile' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_spacectl_no_subcommand' -a 'profile' -d 'Manage Spacelift profiles'
complete -c spacectl -n '__fish_seen_subcommand_from current' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from profile' -a 'current' -d 'Outputs your currently selected profile'
complete -c spacectl -n '__fish_seen_subcommand_from export-token' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from profile' -a 'export-token' -d 'Prints the current token to stdout. In order not to leak, we suggest piping it to your OS pastebin'
complete -c spacectl -n '__fish_seen_subcommand_from usage-csv' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from profile' -a 'usage-csv' -d 'Prints CSV with usage data for the current account'
complete -c spacectl -n '__fish_seen_subcommand_from usage-csv' -f -l since -r -d '[Optional] the start of the time range to query for usage data in format YYYY-MM-DD'
complete -c spacectl -n '__fish_seen_subcommand_from usage-csv' -f -l until -r -d '[Optional] the end of the time range to query for usage data in format YYYY-MM-DD'
complete -c spacectl -n '__fish_seen_subcommand_from usage-csv' -f -l aspect -r -d '[Optional] the aspect to query for usage data'
complete -c spacectl -n '__fish_seen_subcommand_from usage-csv' -f -l group-by -r -d '[Optional] the aspect to group run minutes by'
complete -c spacectl -n '__fish_seen_subcommand_from usage-csv' -f -l file -r -d '[Optional] the file to save the CSV to'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from profile' -a 'list' -d 'List all your Spacelift account profiles'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l output -s o -r -d 'Output `format`. Allowed values: table, json'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l no-color -d 'Disables coloring for the console output. Automatically enabled when the output is not a terminal.'
complete -c spacectl -n '__fish_seen_subcommand_from login' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from profile' -a 'login' -d 'Create a profile for a Spacelift account'
complete -c spacectl -n '__fish_seen_subcommand_from login' -f -l method -r -d '[Optional] the method to use for logging in to Spacelift'
complete -c spacectl -n '__fish_seen_subcommand_from login' -f -l bind-host -r -d '[Optional] specify the host used for binding the server when logging in through a browser'
complete -c spacectl -n '__fish_seen_subcommand_from login' -f -l bind -r -d '[Optional] specify the port used for binding the server when logging in through a browser'
complete -c spacectl -n '__fish_seen_subcommand_from login' -f -l endpoint -r -d '[Optional] the endpoint to use for logging in to Spacelift'
complete -c spacectl -n '__fish_seen_subcommand_from logout' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from profile' -a 'logout' -d 'Remove Spacelift credentials for an existing profile'
complete -c spacectl -n '__fish_seen_subcommand_from select' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from profile' -a 'select' -d 'Select one of your Spacelift account profiles'
complete -c spacectl -n '__fish_seen_subcommand_from provider' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_spacectl_no_subcommand' -a 'provider' -d 'Manage a Terraform provider'
complete -c spacectl -n '__fish_seen_subcommand_from add-gpg-key' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from provider' -a 'add-gpg-key' -d 'Adds a new GPG key for signing provider releases'
complete -c spacectl -n '__fish_seen_subcommand_from add-gpg-key' -f -l email -r -d 'Email address associated with the GPG key, if generating a new key'
complete -c spacectl -n '__fish_seen_subcommand_from add-gpg-key' -f -l generate -d 'Generate a new GPG key in the client'
complete -c spacectl -n '__fish_seen_subcommand_from add-gpg-key' -f -l import -d 'Import a GPG key from an armored file'
complete -c spacectl -n '__fish_seen_subcommand_from add-gpg-key' -f -l name -r -d 'Name of the GPG key to create. If generating a new key, this is the name associated with the key'
complete -c spacectl -n '__fish_seen_subcommand_from add-gpg-key' -f -l path -r -d 'When generating a new key, the path to export the ASCII-armored private key to. When importing a key, the path to import the key from.'
complete -c spacectl -n '__fish_seen_subcommand_from list-gpg-keys' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from provider' -a 'list-gpg-keys' -d 'List all GPG keys registered in the account'
complete -c spacectl -n '__fish_seen_subcommand_from list-gpg-keys' -f -l output -s o -r -d 'Output `format`. Allowed values: table, json'
complete -c spacectl -n '__fish_seen_subcommand_from revoke-gpg-key' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from provider' -a 'revoke-gpg-key' -d 'Revoke a GPG key'
complete -c spacectl -n '__fish_seen_subcommand_from revoke-gpg-key' -f -l key -r -d 'ID of the GPG key to revoke'
complete -c spacectl -n '__fish_seen_subcommand_from create-version' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from provider' -a 'create-version' -d 'Create a new provider version, designed to be called from a CI/CD pipeline'
complete -c spacectl -n '__fish_seen_subcommand_from create-version' -f -l type -r -d '[Required] Type of the provider'
complete -c spacectl -n '__fish_seen_subcommand_from create-version' -f -l protocols -r -d 'Terraform plugin protocols supported by the provider'
complete -c spacectl -n '__fish_seen_subcommand_from create-version' -f -l goreleaser-dir -r -d 'Directory containing the GoReleaser build artifacts'
complete -c spacectl -n '__fish_seen_subcommand_from create-version' -f -l gpg-key-id -r -d 'ID of the GPG key used to sign the provider version'
complete -c spacectl -n '__fish_seen_subcommand_from delete-version' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from provider' -a 'delete-version' -d 'Delete a draft provider version'
complete -c spacectl -n '__fish_seen_subcommand_from delete-version' -f -l version -r -d 'Version of the provider'
complete -c spacectl -n '__fish_seen_subcommand_from list-versions' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from provider' -a 'list-versions' -d 'List all versions of a provider'
complete -c spacectl -n '__fish_seen_subcommand_from list-versions' -f -l type -r -d '[Required] Type of the provider'
complete -c spacectl -n '__fish_seen_subcommand_from list-versions' -f -l output -s o -r -d 'Output `format`. Allowed values: table, json'
complete -c spacectl -n '__fish_seen_subcommand_from publish-version' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from provider' -a 'publish-version' -d 'Publish a draft provider version'
complete -c spacectl -n '__fish_seen_subcommand_from publish-version' -f -l version -r -d 'Version of the provider'
complete -c spacectl -n '__fish_seen_subcommand_from revoke-version' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from provider' -a 'revoke-version' -d 'Revoke a published provider version'
complete -c spacectl -n '__fish_seen_subcommand_from revoke-version' -f -l version -r -d 'Version of the provider'
complete -c spacectl -n '__fish_seen_subcommand_from run-external-dependency' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_spacectl_no_subcommand' -a 'run-external-dependency' -d 'Manage Spacelift Run external dependencies'
complete -c spacectl -n '__fish_seen_subcommand_from mark-completed' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from run-external-dependency' -a 'mark-completed' -d 'Mark Run external dependency as completed'
complete -c spacectl -n '__fish_seen_subcommand_from mark-completed' -f -l id -r -d '[Required] ID of the external dependency'
complete -c spacectl -n '__fish_seen_subcommand_from mark-completed' -f -l status -r -d '[Required] Status of the external dependency (one of: \'finished\', \'failed\')'
complete -c spacectl -n '__fish_seen_subcommand_from stack' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_spacectl_no_subcommand' -a 'stack' -d 'Manage a Spacelift stack'
complete -c spacectl -n '__fish_seen_subcommand_from confirm' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'confirm' -d 'Confirm an unconfirmed tracked run'
complete -c spacectl -n '__fish_seen_subcommand_from confirm' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from confirm' -f -l run -r -d '[Required] `ID` of the run'
complete -c spacectl -n '__fish_seen_subcommand_from confirm' -f -l run-metadata -r -d 'Additional opaque metadata you will be able to access from policies handling this Run.'
complete -c spacectl -n '__fish_seen_subcommand_from confirm' -f -l tail -d 'Indicate whether to tail the run'
complete -c spacectl -n '__fish_seen_subcommand_from discard' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'discard' -d 'Discard an unconfirmed tracked run'
complete -c spacectl -n '__fish_seen_subcommand_from discard' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from discard' -f -l run -r -d '[Required] `ID` of the run'
complete -c spacectl -n '__fish_seen_subcommand_from discard' -f -l tail -d 'Indicate whether to tail the run'
complete -c spacectl -n '__fish_seen_subcommand_from cancel' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'cancel' -d 'Cancel a run that hasn\'t started yet'
complete -c spacectl -n '__fish_seen_subcommand_from cancel' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from cancel' -f -l run -r -d '[Required] `ID` of the run'
complete -c spacectl -n '__fish_seen_subcommand_from cancel' -f -l tail -d 'Indicate whether to tail the run'
complete -c spacectl -n '__fish_seen_subcommand_from approve' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'approve' -d 'Approves a run or task. If no run is specified, the approval will be added to the current stack blocker.'
complete -c spacectl -n '__fish_seen_subcommand_from approve' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from approve' -f -l run -r -d '[Optional] `ID` of the run'
complete -c spacectl -n '__fish_seen_subcommand_from approve' -f -l note -r -d 'Description of why the review decision was made.'
complete -c spacectl -n '__fish_seen_subcommand_from reject' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'reject' -d 'Rejects a run or task. If no run is specified, the rejection will be added to the current stack blocker.'
complete -c spacectl -n '__fish_seen_subcommand_from reject' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from reject' -f -l run -r -d '[Optional] `ID` of the run'
complete -c spacectl -n '__fish_seen_subcommand_from reject' -f -l note -r -d 'Description of why the review decision was made.'
complete -c spacectl -n '__fish_seen_subcommand_from deploy' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'deploy' -d 'Start a deployment (tracked run)'
complete -c spacectl -n '__fish_seen_subcommand_from deploy' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from deploy' -f -l sha -r -d 'Commit `SHA` for the newly created run'
complete -c spacectl -n '__fish_seen_subcommand_from deploy' -f -l run-metadata -r -d 'Additional opaque metadata you will be able to access from policies handling this Run.'
complete -c spacectl -n '__fish_seen_subcommand_from deploy' -f -l tail -d 'Indicate whether to tail the run'
complete -c spacectl -n '__fish_seen_subcommand_from deploy' -f -l auto-confirm -d 'Indicate whether to automatically confirm the run. It also forces the run log tailing.'
complete -c spacectl -n '__fish_seen_subcommand_from retry' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'retry' -d 'Retry a failed run'
complete -c spacectl -n '__fish_seen_subcommand_from retry' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from retry' -f -l run -r -d '[Required] `ID` of the run'
complete -c spacectl -n '__fish_seen_subcommand_from retry' -f -l tail -d 'Indicate whether to tail the run'
complete -c spacectl -n '__fish_seen_subcommand_from replan' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'replan' -d 'Replan an unconfirmed tracked run'
complete -c spacectl -n '__fish_seen_subcommand_from replan' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from replan' -f -l run -r -d '[Required] `ID` of the run'
complete -c spacectl -n '__fish_seen_subcommand_from replan' -f -l tail -d 'Indicate whether to tail the run'
complete -c spacectl -n '__fish_seen_subcommand_from replan' -f -l resources -r -d '[Optional] A comma separeted list of resources to be used when applying, example: \'aws_instance.foo\''
complete -c spacectl -n '__fish_seen_subcommand_from replan' -f -l interactive -s i -d '[Optional] Whether to run the command in interactive mode'
complete -c spacectl -n '__fish_seen_subcommand_from changes' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'changes' -d 'Show a list of changes for a given run'
complete -c spacectl -n '__fish_seen_subcommand_from changes' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from changes' -f -l run -r -d '[Required] `ID` of the run'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'list' -d 'List the stacks you have access to'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l show-labels -d '[Optional] Indicates that stack labels should be printed when outputting stack data in the table format'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l output -s o -r -d 'Output `format`. Allowed values: table, json'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l no-color -d 'Disables coloring for the console output. Automatically enabled when the output is not a terminal.'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'local-preview' -d 'Start a preview (proposed run) based on the current project. Respects .gitignore and .terraformignore.'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l no-find-repository-root -d 'Indicate whether spacectl should avoid finding the repository root (containing a .git directory) before packaging it.'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l project-root-only -d 'Indicate if spacelift should only package files inside this stacks project_root'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l run-metadata -r -d 'Additional opaque metadata you will be able to access from policies handling this Run.'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l no-tail -d 'Indicate whether not to tail the run'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l no-upload -d 'Indicate whether Spacectl should prepare the workspace archive, but skip uploading it. Useful for debugging ignorefiles.'
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l env-var-override -r -d '[Optional] Environment variables injected into the run at runtime, example: --env-var-override \'foo=bar,bar=baz\''
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l tf-env-var-override -r -d '[Optional] Terraform environment variables injected into the run at runtime, they will be prefixed with TF_ by default, example: --tf-env-var-override \'foo=bar,bar=baz\''
complete -c spacectl -n '__fish_seen_subcommand_from local-preview' -f -l disregard-gitignore -d '[Optional] Disregard the .gitignore file when reading files in a directory'
complete -c spacectl -n '__fish_seen_subcommand_from logs' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'logs' -d 'Show logs for a particular run'
complete -c spacectl -n '__fish_seen_subcommand_from logs' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from logs' -f -l run -r -d '[Optional] `ID` of the run'
complete -c spacectl -n '__fish_seen_subcommand_from logs' -f -l run-latest -d '[Optional] Indicates that the latest run should be used'
complete -c spacectl -n '__fish_seen_subcommand_from preview' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'preview' -d 'Start a preview (proposed run)'
complete -c spacectl -n '__fish_seen_subcommand_from preview' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from preview' -f -l sha -r -d 'Commit `SHA` for the newly created run'
complete -c spacectl -n '__fish_seen_subcommand_from preview' -f -l run-metadata -r -d 'Additional opaque metadata you will be able to access from policies handling this Run.'
complete -c spacectl -n '__fish_seen_subcommand_from preview' -f -l tail -d 'Indicate whether to tail the run'
complete -c spacectl -n '__fish_seen_subcommand_from run' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'run' -d 'Manage a stack\'s runs'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from run' -a 'list' -d 'Lists the runs for a specified stack'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l max-results -r -d 'The maximum number of items to return'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l output -s o -r -d 'Output `format`. Allowed values: table, json'
complete -c spacectl -n '__fish_seen_subcommand_from set-current-commit' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'set-current-commit' -d 'Set current commit on the stack'
complete -c spacectl -n '__fish_seen_subcommand_from set-current-commit' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from set-current-commit' -f -l sha -r -d '[Required] `SHA` of the commit to set as canonical for the stack'
complete -c spacectl -n '__fish_seen_subcommand_from environment' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'environment' -d 'Manage a stack\'s environment'
complete -c spacectl -n '__fish_seen_subcommand_from setvar' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from environment' -a 'setvar' -d 'Sets an environment variable.'
complete -c spacectl -n '__fish_seen_subcommand_from setvar' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from setvar' -f -l write-only -d 'Indicates whether the content can be read back outside a Run'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from environment' -a 'list' -d 'Lists all the environment variables and mounted files for a stack.'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l output -s o -r -d 'Output `format`. Allowed values: table, json'
complete -c spacectl -n '__fish_seen_subcommand_from mount' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from environment' -a 'mount' -d 'Mount a file from existing file or STDIN.'
complete -c spacectl -n '__fish_seen_subcommand_from mount' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from mount' -f -l write-only -d 'Indicates whether the content can be read back outside a Run'
complete -c spacectl -n '__fish_seen_subcommand_from delete' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from environment' -a 'delete' -d 'Deletes an environment variable or mounted file.'
complete -c spacectl -n '__fish_seen_subcommand_from delete' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from outputs' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'outputs' -d 'Shows current outputs for a specific stack. Does not show the value of sensitive outputs.'
complete -c spacectl -n '__fish_seen_subcommand_from outputs' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from outputs' -f -l output-id -r -d '`ID` of output'
complete -c spacectl -n '__fish_seen_subcommand_from outputs' -f -l output -s o -r -d 'Output `format`. Allowed values: table, json'
complete -c spacectl -n '__fish_seen_subcommand_from outputs' -f -l no-color -d 'Disables coloring for the console output. Automatically enabled when the output is not a terminal.'
complete -c spacectl -n '__fish_seen_subcommand_from show' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'show' -d 'Shows detailed information about a specific stack'
complete -c spacectl -n '__fish_seen_subcommand_from show' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from show' -f -l output -s o -r -d 'Output `format`. Allowed values: table, json'
complete -c spacectl -n '__fish_seen_subcommand_from show' -f -l no-color -d 'Disables coloring for the console output. Automatically enabled when the output is not a terminal.'
complete -c spacectl -n '__fish_seen_subcommand_from open' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'open' -d 'Open a stack in your browser'
complete -c spacectl -n '__fish_seen_subcommand_from open' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from open' -f -l ignore-subdir -d '[Optional] Indicate whetever open command should ignore the current subdir and only use the repository to search for a stack'
complete -c spacectl -n '__fish_seen_subcommand_from open' -f -l current-branch -d '[Optional] Indicate whetever to search a stack by the current branch you\'re on'
complete -c spacectl -n '__fish_seen_subcommand_from open' -f -l count -r -d '[Optional] Indicate the maximum count of elements returned when searching stacks'
complete -c spacectl -n '__fish_seen_subcommand_from task' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'task' -d 'Perform a task in a workspace'
complete -c spacectl -n '__fish_seen_subcommand_from task' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from task' -f -l noinit -d 'Indicate whether to skip initialization for a task'
complete -c spacectl -n '__fish_seen_subcommand_from task' -f -l run-metadata -r -d 'Additional opaque metadata you will be able to access from policies handling this Run.'
complete -c spacectl -n '__fish_seen_subcommand_from task' -f -l tail -d 'Indicate whether to tail the run'
complete -c spacectl -n '__fish_seen_subcommand_from lock' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'lock' -d 'Locks a stack for exclusive use.'
complete -c spacectl -n '__fish_seen_subcommand_from lock' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from lock' -f -l note -r -d 'Description of why the lock was acquired.'
complete -c spacectl -n '__fish_seen_subcommand_from unlock' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'unlock' -d 'Unlocks a stack.'
complete -c spacectl -n '__fish_seen_subcommand_from unlock' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from enable' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'enable' -d 'Enable new runs against the stack'
complete -c spacectl -n '__fish_seen_subcommand_from enable' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from disable' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'disable' -d 'Disable new runs against the stack'
complete -c spacectl -n '__fish_seen_subcommand_from disable' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from resources' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'resources' -d 'Manage and view resources for stacks'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from resources' -a 'list' -d 'Sets an environment variable.'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from dependencies' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from stack' -a 'dependencies' -d 'View stack dependencies'
complete -c spacectl -n '__fish_seen_subcommand_from on' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from dependencies' -a 'on' -d 'Get stacks which the provided that depends on'
complete -c spacectl -n '__fish_seen_subcommand_from on' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from on' -f -l output -s o -r -d 'Output `format`. Allowed values: table, json'
complete -c spacectl -n '__fish_seen_subcommand_from off' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from dependencies' -a 'off' -d 'Get stacks that depend on the provided stack'
complete -c spacectl -n '__fish_seen_subcommand_from off' -f -l id -r -d '[Optional] User-facing `ID` (slug) of the stack, if not provided stack search is used lookup the stack ID by the current directory and repository name'
complete -c spacectl -n '__fish_seen_subcommand_from off' -f -l output -s o -r -d 'Output `format`. Allowed values: table, json'
complete -c spacectl -n '__fish_seen_subcommand_from whoami' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_spacectl_no_subcommand' -a 'whoami' -d 'Print out logged-in user\'s information'
complete -c spacectl -n '__fish_seen_subcommand_from version' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_spacectl_no_subcommand' -a 'version' -d 'Print out CLI version'
complete -c spacectl -n '__fish_seen_subcommand_from workerpool' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_spacectl_no_subcommand' -a 'workerpool' -d 'Manages workerpools and their workers.'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from workerpool' -a 'list' -d 'Lists all worker pools.'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l output -s o -r -d 'Output `format`. Allowed values: table, json'
complete -c spacectl -n '__fish_seen_subcommand_from watch' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from workerpool' -a 'watch' -d 'Starts an interactive watcher for a worker pool'
complete -c spacectl -n '__fish_seen_subcommand_from worker' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from workerpool' -a 'worker' -d 'Contains commands for managing workers within a pool.'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from worker' -a 'list' -d 'Lists all workers of a workerpool.'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l pool-id -r -d '[Required] ID of the worker pool'
complete -c spacectl -n '__fish_seen_subcommand_from list' -f -l output -s o -r -d 'Output `format`. Allowed values: table, json'
complete -c spacectl -n '__fish_seen_subcommand_from drain' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from worker' -a 'drain' -d 'Drains a worker.'
complete -c spacectl -n '__fish_seen_subcommand_from drain' -f -l id -r -d '[Required] ID of the worker'
complete -c spacectl -n '__fish_seen_subcommand_from drain' -f -l pool-id -r -d '[Required] ID of the worker pool'
complete -c spacectl -n '__fish_seen_subcommand_from drain' -f -l wait-until-drained -d 'Wait until the worker is drained'
complete -c spacectl -n '__fish_seen_subcommand_from undrain' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from worker' -a 'undrain' -d 'Undrains a worker.'
complete -c spacectl -n '__fish_seen_subcommand_from undrain' -f -l id -r -d '[Required] ID of the worker'
complete -c spacectl -n '__fish_seen_subcommand_from undrain' -f -l pool-id -r -d '[Required] ID of the worker pool'
complete -c spacectl -n '__fish_seen_subcommand_from completion' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_spacectl_no_subcommand' -a 'completion' -d 'Print out shell completion script'
complete -c spacectl -n '__fish_seen_subcommand_from completion' -f -l help -s h -d 'show help'
complete -c spacectl -n '__fish_seen_subcommand_from bash' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from completion' -a 'bash' -d 'Print out bash shell completion script'
complete -c spacectl -n '__fish_seen_subcommand_from zsh' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from completion' -a 'zsh' -d 'Print out zsh shell completion script'
complete -c spacectl -n '__fish_seen_subcommand_from fish' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from completion' -a 'fish' -d 'Print out fish shell completion script'
complete -c spacectl -n '__fish_seen_subcommand_from fish' -f -l help -s h -d 'show help'
complete -c spacectl -n '__fish_seen_subcommand_from help h' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from fish' -a 'help h' -d 'Shows a list of commands or help for one command'
complete -c spacectl -n '__fish_seen_subcommand_from help h' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_seen_subcommand_from completion' -a 'help h' -d 'Shows a list of commands or help for one command'
complete -c spacectl -n '__fish_seen_subcommand_from help h' -f -l help -s h -d 'show help'
complete -r -c spacectl -n '__fish_spacectl_no_subcommand' -a 'help h' -d 'Shows a list of commands or help for one command'
